package com.ynet.life.sujrb.action;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.ynet.life.base.LifeDBAccess;
import com.ynet.life.credit.util.DESutils;
import com.ynet.life.util.PropertiesFile;
import java.io.IOException;
import java.io.PrintWriter;
import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Properties;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/bankInfoServlet.class */
public class bankInfoServlet extends HttpServlet {
    private static String queryLoanApplyInfoSql = "SELECT FLA_FLOWNO flaFlowNo,(SELECT FCT_SCORPCODE FROM fsp_cor_technology WHERE  PCI_NAMECN = FCT_CORNAME UNION SELECT FCT_SCORPCODE FROM fsp_cor_technology WHERE PCI_ORGCODE = fct_orgcode AND fct_orgcode!=''  AND fct_orgcode is not NULL ) orgCode,PCI_NAMECN corName,FCB_NAME financeName,USR_NAME userName,FLA_STARTDATA flaStartDate,FLA_ENDDATE flaEndDate,FLA_RECEIPTNO flaReceiptNo,FLA_BEGINRATE flaRate,FLA_APPLYLOANAMT flaAmt,FLA_APPLYLOANLIMITDATE flaLimit,CASE FLA_GUATYPE WHEN '1' THEN '抵押' WHEN '2' THEN '质押' WHEN '3' THEN '信用' WHEN '4' THEN '一般保证' ELSE '' END flaGuaType,FLA_DESC flaRemark FROM fsp_loan_apply LEFT JOIN fsp_cor_inf_szyq ON FCI_CORNO = CRE_CORNO LEFT JOIN fsp_cor_branch_szyq ON CRE_FINANCEID = FCB_FINANCEID LEFT JOIN fsp_user ON CRE_USERNO = usr_id WHERE DATE_FORMAT(FLA_OPTIME,'%Y%m%d%H%i') BETWEEN ? AND ?";
    private static String queryLoanInfoSql = "SELECT LOA_FLOWNO loaFlowNo,FLA_FLOWNO flaFlowNo,(SELECT FCT_SCORPCODE FROM fsp_cor_technology WHERE  PCI_NAMECN = FCT_CORNAME UNION SELECT FCT_SCORPCODE FROM fsp_cor_technology WHERE PCI_ORGCODE = fct_orgcode AND fct_orgcode!=''  AND fct_orgcode is not NULL ) orgCode,PCI_NAMECN corName,FCB_NAME financeName,USR_NAME userName,LOA_STARTDATE loaStartDate,LOA_ENDDATE loaEndDate,LOA_LIMITDATE loaLimit FROM fsp_loan  INNER JOIN fsp_loan_apply ON LOA_FLAFLOWNO = FLA_FLOWNO LEFT JOIN fsp_cor_inf_szyq ON FCI_CORNO = LOA_CORNO LEFT JOIN fsp_cor_branch_szyq ON LOA_FINANCEID = FCB_FINANCEID LEFT JOIN fsp_user ON LOA_USERNO = usr_id WHERE DATE_FORMAT(LOA_OPTIME,'%Y%m%d%H%i') BETWEEN ? AND ?";
    private static String queryRepayInfoSql = "SELECT LOA_FLOWNO loaFlowNo,(SELECT FCT_SCORPCODE FROM fsp_cor_technology WHERE  PCI_NAMECN = FCT_CORNAME UNION SELECT FCT_SCORPCODE FROM fsp_cor_technology WHERE PCI_ORGCODE = fct_orgcode AND fct_orgcode!=''  AND fct_orgcode is not NULL ) orgCode,PCI_NAMECN corName,FCB_NAME financeName,USR_NAME userName,RL_AMT rlAmt,RL_DATE rlDate,RL_RAYNO rlNo,'' olAmt FROM fsp_repay_loan  INNER JOIN fsp_loan ON RL_LOAFLOWNO =  LOA_FLOWNO INNER JOIN fsp_loan_apply ON LOA_FLAFLOWNO = FLA_FLOWNO LEFT JOIN fsp_cor_inf_szyq ON FCI_CORNO = RL_CORNO LEFT JOIN fsp_cor_branch_szyq ON RL_FINANCEID = FCB_FINANCEID LEFT JOIN fsp_user ON RL_USERNO = usr_id WHERE DATE_FORMAT(RL_OPTIME,'%Y%m%d%H%i') BETWEEN ? AND ? UNION SELECT LOA_FLOWNO loaFlowNo,(SELECT FCT_SCORPCODE FROM fsp_cor_technology WHERE  PCI_NAMECN = FCT_CORNAME UNION SELECT FCT_SCORPCODE FROM fsp_cor_technology WHERE PCI_ORGCODE = fct_orgcode AND fct_orgcode!=''  AND fct_orgcode is not NULL ) orgCode,PCI_NAMECN corName,FCB_NAME financeName,USR_NAME userName,'' rlAmt,'' rlDate,'' rlNo,OL_AMT olAmt FROM fsp_overdue_loan  INNER JOIN fsp_loan ON OL_LOAFLOWNO =  LOA_FLOWNO INNER JOIN fsp_loan_apply ON LOA_FLAFLOWNO = FLA_FLOWNO LEFT JOIN fsp_cor_inf_szyq ON FCI_CORNO = OL_CORNO LEFT JOIN fsp_cor_branch_szyq ON OL_FINANCEID = FCB_FINANCEID LEFT JOIN fsp_user ON OL_USERNO = usr_id WHERE DATE_FORMAT(OL_OPTIME,'%Y%m%d%H%i')  BETWEEN ? AND ?";
    private String profile;
    private String appID;
    private String appSecret;

    protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
        super.doGet(request, response);
    }

    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
        resp.setContentType("application/json;charset=utf-8");
        resp.setCharacterEncoding("UTF-8");
        Properties bankDBSourceProperties = PropertiesFile.getProperties("/properties/getCorInfoInterfacePath.properties");
        this.profile = bankDBSourceProperties.getProperty("profile");
        this.appID = bankDBSourceProperties.getProperty(String.valueOf(this.profile) + "AppID");
        this.appSecret = bankDBSourceProperties.getProperty(String.valueOf(this.profile) + "AppSecret");
        PreparedStatement ps = null;
        JSONObject resultObj = new JSONObject();
        try {
            String authIDReq = req.getHeader("AuthID");
            try {
                String authIDContextReq = DESutils.decrypt(authIDReq, this.appSecret);
                if (!this.appID.equals(authIDContextReq.split(",")[0])) {
                    throw new Exception();
                }
                String type = req.getPathInfo();
                String timerange = req.getParameter("timerange");
                String startDate = timerange.split("-")[0];
                if (!isValidDate(startDate)) {
                    resultObj.put("code", "1");
                    resultObj.put("msg", "开始时间格式有误");
                    PrintWriter writer = resp.getWriter();
                    writer.write(DESutils.encrypt(resultObj.toString(), this.appSecret));
                    if (writer != null) {
                        writer.close();
                        return;
                    }
                    return;
                }
                String endDate = timerange.split("-")[1];
                if (!isValidDate(endDate)) {
                    resultObj.put("code", "1");
                    resultObj.put("msg", "结束时间格式有误");
                    PrintWriter writer2 = resp.getWriter();
                    writer2.write(DESutils.encrypt(resultObj.toString(), this.appSecret));
                    if (writer2 != null) {
                        writer2.close();
                        return;
                    }
                    return;
                }
                Connection connection = LifeDBAccess.getConnection();
                if (type.endsWith("loanApply")) {
                    ps = connection.prepareStatement(queryLoanApplyInfoSql);
                } else if (type.endsWith("loan")) {
                    ps = connection.prepareStatement(queryLoanInfoSql);
                } else if (type.endsWith("repay")) {
                    PreparedStatement prepareStatement = connection.prepareStatement(queryRepayInfoSql);
                    ps = prepareStatement;
                    prepareStatement.setString(3, startDate);
                    ps.setString(4, endDate);
                }
                ps.setString(1, startDate);
                ps.setString(2, endDate);
                ResultSet rs = ps.executeQuery();
                JSONObject resultObj2 = convert(rs);
                String timestamp = Long.toString(System.currentTimeMillis() / 1000);
                String authID = DESutils.encrypt(String.valueOf(this.appID) + "," + timestamp, this.appSecret);
                resp.setHeader("AuthID", authID);
                LifeDBAccess.releaseConnection(connection);
                resultObj2.put("code", "0");
                resultObj2.put("msg", "操作成功");
                PrintWriter writer3 = resp.getWriter();
                writer3.write(DESutils.encrypt(resultObj2.toString(), this.appSecret));
                if (writer3 != null) {
                    writer3.close();
                }
            } catch (Exception unused) {
                resultObj.put("code", "1");
                resultObj.put("msg", "授权不通过");
                PrintWriter writer4 = resp.getWriter();
                writer4.write(DESutils.encrypt(resultObj.toString(), this.appSecret));
                if (writer4 != null) {
                    writer4.close();
                }
            }
        } catch (Exception unused2) {
            resultObj.put("code", "1");
            resultObj.put("msg", "操作失败");
            PrintWriter writer5 = resp.getWriter();
            writer5.write(DESutils.encrypt(resultObj.toString(), this.appSecret));
            if (writer5 != null) {
                writer5.close();
            }
        } catch (Throwable th) {
            resultObj.put("code", "0");
            resultObj.put("msg", "");
            PrintWriter writer6 = resp.getWriter();
            writer6.write(DESutils.encrypt(resultObj.toString(), this.appSecret));
            if (writer6 != null) {
                writer6.close();
            }
            throw th;
        }
    }

    public static boolean isValidDate(String str) {
        DateFormat formatter = new SimpleDateFormat("yyyyMMddHHmm");
        formatter.setLenient(false);
        try {
            formatter.parse(str);
            return true;
        } catch (Exception unused) {
            return false;
        }
    }

    public JSONObject convert(ResultSet rs) throws Exception {
        ResultSetMetaData rsma = rs.getMetaData();
        int size = rsma.getColumnCount();
        JSONObject returnObj = new JSONObject();
        JSONArray arr = new JSONArray();
        while (rs.next()) {
            JSONObject obj = new JSONObject();
            for (int i = 1; i <= size; i++) {
                String string = rs.getString(rsma.getColumnName(i)) == null ? "" : rs.getString(rsma.getColumnName(i));
                String s = string;
                if (string == null || "".equals(s)) {
                    s = "";
                }
                obj.put(rsma.getColumnName(i), s);
            }
            arr.add(obj);
        }
        returnObj.put("data", arr);
        System.out.println(returnObj);
        return returnObj;
    }

    public static void main(String[] args) throws Exception {
        System.out.println(isValidDate("2020-10301123"));
    }
}
